<?php
/*
Plugin Name: DWP Guten
Description: Add custom fields and subscript to the gutenberg editor.
Author: windhamdavid
Version: 0.4
Author URI: https://davidawindham.com
*/

defined( 'ABSPATH' ) or die( 'yeah right' );


/*********  add dwp-guten.js to Gutenberg wp.editor.RichTextToolbarButton **********/

function dwp_guten_script_register() {
	wp_register_script(
		'dw-guten-js',
		plugins_url( 'dwp-guten.js', __FILE__ ),
		array( 'wp-rich-text' , 'wp-element', 'wp-editor')
	);
}
add_action( 'init', 'dwp_guten_script_register' );

function dwp_guten_enqueue () {
	wp_enqueue_script( 'dwp-guten-js');
}
add_action( 'enqueue_block_editor_assets', 'dwp_guten_enqueue' );


/*********  add custom metaboxes (meta_desc,media) to Gutenberg sidebar **********/

include_once('metabox.php');

function dwp_guten_enqueue_assets() {
	wp_enqueue_script(
		'dwp-gutenberg-sidebar',
		plugins_url( 'build/index.js', __FILE__ ),
		array( 'wp-plugins', 'wp-edit-post', 'wp-element', 'wp-components', 'wp-data' )
	);
}
add_action( 'enqueue_block_editor_assets', 'dwp_guten_enqueue_assets' );


?>